Bug 1156118 - [abrt] webkitgtk4: absoluteClippedOverflowRect(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: absoluteClippedOverflowRect(): WebKitWebProcess killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c47cc772f000f2a48fdf5878a22...
: 1191066 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-23 15:25 UTC by mock
Modified: 2015-03-29 04:46 UTC (History)
10 users (show)

Fixed In Version: webkitgtk4-2.6.5-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-29 04:46:09 UTC


Attachments (Terms of Use)
File: backtrace (89.22 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: cgroup (190 bytes, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: core_backtrace (47.18 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: dso_list (13.58 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: environ (1.30 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: exploitable (82 bytes, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: limits (1.29 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: maps (86.34 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: open_fds (1.36 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details
File: var_log_messages (4.95 KB, text/plain)
2014-10-23 15:25 UTC, mock
no flags Details

Description mock 2014-10-23 15:25:36 UTC
Version-Release number of selected component:
webkitgtk4-2.6.2-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 41
crash_function: absoluteClippedOverflowRect
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
kernel:         3.17.1-302.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 absoluteClippedOverflowRect at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/rendering/RenderObject.h:749
 #1 WebCore::AccessibilityRenderObject::isOffScreen at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/accessibility/AccessibilityRenderObject.cpp:553
 #2 setAtkStateSetFromCoreObject at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/accessibility/atk/WebKitAccessibleWrapperAtk.cpp:886
 #3 webkitAccessibleRefStateSet at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/accessibility/atk/WebKitAccessibleWrapperAtk.cpp:924
 #4 children_changed_event_listener at event.c:1079
 #7 g_signal_emit_by_name at gsignal.c:3405
 #8 WebCore::AXObjectCache::getOrCreate at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/accessibility/AXObjectCache.cpp:364
 #9 WebCore::AccessibilityObject::isARIAHidden at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/accessibility/AccessibilityObject.cpp:2473
 #10 WebCore::AccessibilityObject::defaultObjectInclusion at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/accessibility/AccessibilityObject.cpp:2494
 #11 WebCore::AccessibilityObject::accessibilityIsIgnoredByDefault at /usr/src/debug/webkitgtk-2.6.2/Source/WebCore/accessibility/AccessibilityObject.cpp:2466

Comment 1 mock 2014-10-23 15:25:38 UTC
Created attachment 949974 [details]
File: backtrace

Comment 2 mock 2014-10-23 15:25:40 UTC
Created attachment 949976 [details]
File: cgroup

Comment 3 mock 2014-10-23 15:25:41 UTC
Created attachment 949977 [details]
File: core_backtrace

Comment 4 mock 2014-10-23 15:25:42 UTC
Created attachment 949978 [details]
File: dso_list

Comment 5 mock 2014-10-23 15:25:43 UTC
Created attachment 949979 [details]
File: environ

Comment 6 mock 2014-10-23 15:25:43 UTC
Created attachment 949980 [details]
File: exploitable

Comment 7 mock 2014-10-23 15:25:44 UTC
Created attachment 949981 [details]
File: limits

Comment 8 mock 2014-10-23 15:25:45 UTC
Created attachment 949982 [details]
File: maps

Comment 9 mock 2014-10-23 15:25:45 UTC
Created attachment 949983 [details]
File: open_fds

Comment 10 mock 2014-10-23 15:25:46 UTC
Created attachment 949984 [details]
File: proc_pid_status

Comment 11 mock 2014-10-23 15:25:47 UTC
Created attachment 949985 [details]
File: var_log_messages

Comment 12 Bruce-Robert Pocock 2014-12-27 09:57:48 UTC
Another user experienced a similar problem:

Amazon.com

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 35
crash_function: absoluteClippedOverflowRect
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
kernel:         3.17.7-300.fc21.x86_64
package:        webkitgtk4-2.6.4-1.fc21
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Joachim Frieben 2015-01-26 13:23:46 UTC
Still applies to webkitgtk4-2.6.5-1.fc21.

Comment 14 Yanko Kaneti 2015-02-10 12:38:23 UTC
*** Bug 1191066 has been marked as a duplicate of this bug. ***

Comment 15 Yanko Kaneti 2015-02-10 13:01:52 UTC
Sorry, forgot liferea (dup bug 1191066) still uses webkitgtk3.
So the bug is technically different, although its probably the same.

Comment 16 madstitz 2015-03-26 17:47:54 UTC
Another user experienced a similar problem:

tried to clone gitg using SSH

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 28
crash_function: absoluteClippedOverflowRect
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
kernel:         3.19.1-201.fc21.x86_64
package:        webkitgtk4-2.6.5-1.fc21
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Fedora Update System 2015-03-26 18:45:35 UTC
webkitgtk4-2.6.5-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-4171/webkitgtk4-2.6.5-3.fc21

Comment 18 Fedora Update System 2015-03-29 04:46:09 UTC
webkitgtk4-2.6.5-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.